libgroovefingerprinter-devel-4.3.0-9.1.i586.rpm


Advertisement

Description

libgroovefingerprinter-devel - Development files for groovefingerprinter

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename libgroovefingerprinter-devel-4.3.0-9.1.i586.rpm
Package name libgroovefingerprinter-devel
Package version 4.3.0
Package release 9.1
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage http://andrewrk.github.io/libgroove/
License MIT
Maintainer -
Download size 9.65 KB
Installed size 4.11 KB
A library to acoustid fingerprinter for groove.
This package contains header files and libraries needed to develop
application that use libgroovefingerprinter.

Alternatives

Package Version Architecture Repository
libgroovefingerprinter-devel-4.3.0-9.1.x86_64.rpm 4.3.0 x86_64 Multimedia Libs
libgroovefingerprinter-devel-4.3.0-3.1.x86_64.rpm 4.3.0 x86_64 openSUSE Oss
libgroovefingerprinter-devel-4.3.0-3.1.i586.rpm 4.3.0 i586 openSUSE Oss
libgroovefingerprinter-devel - - -

Requires

Name Value
libgroove-devel -
libgroovefingerprinter4 = 4.3.0

Provides

Name Value
libgroovefingerprinter-devel = 4.3.0-9.1
libgroovefingerprinter-devel(x86-32) = 4.3.0-9.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgroovefingerprinter-devel-4.3.0-9.1.i586.rpm
Source Package libgroove-4.3.0-9.1.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install libgroovefingerprinter-devel rpm package:
    # zypper install libgroovefingerprinter-devel

Files

Path
/usr/include/groovefingerprinter/fingerprinter.h
/usr/lib/libgroovefingerprinter.so

Changelog

2019-02-13 - bjorn.lie@gmail.com
- Add libgroove-4.3.0_ffmpeg-4.0.patch: Fix build with ffmpeg v4.
- Following the above patch, drop ffmpeg3-devel BuildRequires.
2018-04-21 - jengelh@inai.de
- Explicitly request ffmpeg 3.x for building
2017-10-31 - aloisio@gmx.com
- Renamed package to upstream name
- Renamed groove.patch to libgroove-4.3.0-no_overflow.patch
and added description
2017-10-28 - aloisio@gmx.com
- Added libgroove-4.3.0-no_Werror.patch to fix build in Factory
2016-06-29 - avvissu@yandex.by
- Build with -Wno-error=deprecated-declarations
2016-06-16 - aloisio@gmx.com
- Added libgroove-4.3.0_unused-result.patch to fix SLE11 build
2016-05-26 - avvissu@yandex.by
- Initial release

See Also

Package Description
libgroovefingerprinter4-4.3.0-9.1.i586.rpm A library to acoustid fingerprinter for libgroove
libgroovefingerprinter4-4.3.0-9.1.x86_64.rpm A library to acoustid fingerprinter for libgroove
libgrooveloudness-devel-4.3.0-9.1.i586.rpm Development files for libgrooveloudness
libgrooveloudness-devel-4.3.0-9.1.x86_64.rpm Development files for libgrooveloudness
libgrooveloudness4-4.3.0-9.1.i586.rpm A library to loudness scanner for libgroove
libgrooveloudness4-4.3.0-9.1.x86_64.rpm A library to loudness scanner for libgroove
libgrooveplayer-devel-4.3.0-9.1.i586.rpm Development files for libgrooveplayer
libgrooveplayer-devel-4.3.0-9.1.x86_64.rpm Development files for libgrooveplayer
libgrooveplayer4-4.3.0-9.1.i586.rpm A library to hardware audio playback for libgroove
libgrooveplayer4-4.3.0-9.1.x86_64.rpm A library to hardware audio playback for libgroove
libgsm-devel-1.0.18-46.3.i586.rpm GSM 06.10 Lossy Speech Compressor Library and Utilities
libgsm-devel-1.0.18-46.3.x86_64.rpm GSM 06.10 Lossy Speech Compressor Library and Utilities
libgsm-devel-32bit-1.0.18-46.3.x86_64.rpm GSM 06.10 Lossy Speech Compressor Library and Utilities
libgsm-utils-1.0.18-46.3.i586.rpm GSM 06.10 Lossy Speech Compressor Library and Utilities
libgsm-utils-1.0.18-46.3.x86_64.rpm GSM 06.10 Lossy Speech Compressor Library and Utilities
Advertisement
Advertisement